import { TLang } from './languages';
import { IThemedToken } from './themedTokenizer';
import { IShikiTheme, TTheme } from './themes';
export interface HighlighterOptions {
    theme: TTheme | IShikiTheme;
    langs?: TLang[];
}
export declare function getHighlighter(options: HighlighterOptions): Promise<Highlighter>;
export interface Highlighter {
    codeToThemedTokens(code: string, lang: TLang): IThemedToken[][];
    codeToHtml?(code: string, lang: TLang): string;
}
